#banner {
    min-height: 100svh;
}

#introduction .card {
    align-items: end;
    height: 48rem;
    text-align: right;
}

#introduction .card::before {
    content: "";
    position: absolute;
    top: 0;
    right: 0;
    width: 200%;
    height: 300%;
    background: repeating-radial-gradient(
        circle at center,
        transparent 0,
        transparent 2.95rem,
        #8abdbc 3rem,
        #8abdbc 5.95rem,
        transparent 6rem
    );
    animation: ripple-move 48s cubic-bezier(0.1, 0, 0.9, 1) infinite;
    transform: translateZ(0);
    will-change: background-size;
}

#introduction .card::after {
    content: "";
    position: absolute;
    inset: 0;
    z-index: 5;
    background: linear-gradient(to left, var(--color-cyan), transparent);
}

.introduction-wrapper {
    position: relative;
}

.introduction-image {
    position: absolute;
    bottom: 46%;
    left: -4%;
    z-index: 10;
    height: 50vw;
    max-height: 100%;
    transform: translateY(50%);
}

.introduction-image img,
.about-image img {
    object-fit: contain;
}

.introduction-text {
    max-width: 60em;
}

#portfolio {
    gap: 2rem;
    text-align: center;
}

#portfolio .card {
    height: 36rem;
    padding: 0;
}

#portfolio .carousel__slide {
    position: relative;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: space-around;
    padding: 2rem;
    background-position: center;
    background-size: cover;
}

#portfolio .carousel__slide > * {
    z-index: 10;
    filter: drop-shadow(0 0 8px rgba(255, 255, 255, 0.25));
}

#portfolio .carousel__slide::before {
    content: "";
    position: absolute;
    inset: 0;
    background: linear-gradient(to bottom, rgba(255, 255, 255, 0.1), rgba(255, 255, 255, 0.9));
}

#about .card {
    flex-direction: row;
    align-items: center;
    justify-content: space-between;
    height: 48rem;
    text-align: left;
}

.about-text {
    max-width: 42em;
}

.about-image {
    height: 100%;
}

@keyframes ripple-move {
    50% {
        scale: 1.25;
    }
}

@media (max-width: 900px) {
    .introduction-text {
        max-width: 40em;
    }
}

@media (max-width: 768px) {
    #introduction .card {
        flex-direction: column;
        align-items: center;
        justify-content: flex-start;
        text-align: center;
    }

    .introduction-image {
        bottom: 0;
        left: 50%;
        height: auto;
        min-width: 24rem;
        max-height: 60%;
        transform: translate(-50%, 10%);
    }

    .introduction-text {
        max-width: none;
    }

    #about .card {
        flex-direction: column;
        justify-content: center;
        text-align: center;
    }

    .about-image {
        max-height: 24rem;
    }
}

@media (max-width: 480px) {
    #about .card {
        height: auto;
    }
}
